# Docker image to use as base for the CI tests
image: dockerphp/gitlab-ci-pipeline:7.1

# Composer stores all downloaded packages in the vendor/ directory.
# Do not use the following if the vendor/ directory is committed to your git repository.
cache:
    paths:
        - vendor/

# Some variables to make composer work better in a docker environment
variables:
    COMPOSER_DISABLE_XDEBUG_WARN: "1"
    COMPOSER_ALLOW_SUPERUSER: "1"

# 'code' job that will always be run, on each commit and pull request, checks syntax, formatting and runs the unit tests.
code:

  # Run the various tests, in the following order
  # - validates composer.json file
  # - runs a composer install to check if all current dependencies can be correctly installed
  # - checks for syntax errors
  # - checks code formatting
  # - runs the unit tests
  script:
    - composer validate --no-check-all --strict
    - composer install --prefer-dist --no-interaction --no-progress